//@ts-check
/*eslint-env node*/

const path = require('path');
const esbuild = require('esbuild');
const esbuildStylePlugin = require('esbuild-style-plugin');
const esbuildAliasPlugin = require('esbuild-plugin-path-alias');

/** @type {esbuild.BuildOptions} */
const config = {
	entryPoints: ['./src/index.ts'],
	bundle: true,
	platform: 'browser',
	target: 'es2020',
	outdir: './dist',
	logLevel: 'info',
	plugins: [
		// @ts-ignore FIXME: There are no type definitions for the "esbuild-plugin-path-alias" plugin
		esbuildAliasPlugin({
			'@lib/*': path.resolve('./src/lib/'),
		}),
		esbuildStylePlugin(),
	],
};

(async () => await esbuild.build(config))();
